> ## Documentation Index
> Fetch the complete documentation index at: https://docs.variable.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Activity Deletion

> Delete activities in bulk

export const permission_0 = 'activity:delete'

<Info>Requires permission: **{permission_0}**</Info>

<Note>
  Read more about the [Activity](/docs/activity) data models.
</Note>

<Note>
  Bulk operations take a maximum of 1,000 items per request.
</Note>


## OpenAPI

````yaml POST /v1/activity/bulk/delete
openapi: 3.0.1
info:
  title: Variable API
  description: This is the Variable API
  version: 1.1.0
servers:
  - url: https://app.variable.global/api
security:
  - basicAuth: []
  - bearerAuth: []
  - oAuthNoScopes: []
paths:
  /v1/activity/bulk/delete:
    post:
      summary: Delete activities in bulk
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ids
              properties:
                ids:
                  type: array
                  description: List of activity `uuid`s or `syncId`s to delete
      responses:
        '202':
          description: Job status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobCreatedResponse'
        '401':
          description: ExpiredToken
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpiredTokenResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    JobCreatedResponse:
      type: object
      properties:
        jobId:
          type: string
          example: job_123456
        status:
          type: string
          example: processing
        totalOperations:
          type: integer
          example: 100
        jobUrl:
          type: string
          example: https://app.variable.global/api/v1/job/job_123456
        message:
          type: string
          example: >-
            Bulk operation job created. Use GET /v1/job/<job_id> to check
            status.
    ExpiredTokenResponse:
      type: object
      properties:
        message:
          type: string
          example: token expired
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    oAuthNoScopes:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /auth/token
          scopes: {}

````